# eric7.Preferences.ConfigurationPages.EditorLanguageTabIndentOverrideDialog

Module implementing a dialog to set the tab and indentation width override for a language.

### Global Attributes

None

### Classes

EditorLanguageTabIndentOverrideDialog | Class implementing a dialog to set the tab and indentation width override for a language.

### Functions

None

## EditorLanguageTabIndentOverrideDialog

Class implementing a dialog to set the tab and indentation width override for a language.

### Derived from

QDialog, Ui_EditorLanguageTabIndentOverrideDialog

### Class Attributes

PygmentsMarker

### Class Methods

None

### Methods

EditorLanguageTabIndentOverrideDialog | Constructor
__populateLanguages | Private method to populate the language combo boxes.
__updateOkButton | Private method to set the enabled status of the OK button.
getData | Public method to get the entered data.
on_languageComboBox_currentIndexChanged | Private slot to handle the selection of a language.
on_pygmentsLexerCombo_currentIndexChanged | Private slot to handle the selection of a language.

### Static Methods

None

#### EditorLanguageTabIndentOverrideDialog (Constructor)

EditorLanguageTabIndentOverrideDialog(*, editMode=False, languages=None, tabWidth=0, indentWidth=0, parent=None)

Constructor

editMode= (bool)
  flag indicating the edit mode (Note: in edit mode the language is fixed)
languages= (list of str)
  list of existing languages (if in add mode) or a list containing the language to be edited
tabWidth= (int)
  tab width to be set
indentWidth= (int)
  indentation width to be set
parent= (QWidget)
  reference to the parent widget

#### EditorLanguageTabIndentOverrideDialog.__populateLanguages

__populateLanguages(filterLanguages)

Private method to populate the language combo boxes.

filterLanguages (list of str)
  list of languages to be filtered out

#### EditorLanguageTabIndentOverrideDialog.__updateOkButton

__updateOkButton()

Private method to set the enabled status of the OK button.

#### EditorLanguageTabIndentOverrideDialog.getData

getData()

Public method to get the entered data.

Return:
  tuple containing the language, the tab width and the indentation width

Return Type:
  tuple of (str, int, int)

#### EditorLanguageTabIndentOverrideDialog.on_languageComboBox_currentIndexChanged

on_languageComboBox_currentIndexChanged(index)

Private slot to handle the selection of a language.

index (int)
  index of the current item

#### EditorLanguageTabIndentOverrideDialog.on_pygmentsLexerCombo_currentIndexChanged

on_pygmentsLexerCombo_currentIndexChanged(index)

Private slot to handle the selection of a language.

index (int)
  index of the current item

Up